#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <Keyboard.h>

// For these LCD controls to work you MUST replace the standard LCD library from...
// https://github.com/marcoschwartz/LiquidCrystal_I2C
// Direct download https://github.com/marcoschwartz/LiquidCrystal_I2C/archive/master.zip
// Your project will not compile until this is done.
LiquidCrystal_I2C lcd_I2C_27(0x27,16,2); // set the LCD address for a 16 chars and 2 line display
/*
 These core libraries allow the 32u4 and SAMD based boards 
 (Leonardo, Esplora, Zero, Due and MKR Family) 
 to appear as a native Mouse and/or Keyboard to a connected computer.
 */

void setup(){  // put your setup code here, to run once:
  Serial.begin(9600); // opens serial port, sets data rate to 9600 bps
  pinMode( 4 , INPUT);   // sets the digital pin as input
  lcd_I2C_27.init (); // initialize the lcd
  lcd_I2C_27.backlight();
  pinMode( 7 , INPUT);   // sets the digital pin as input
  Keyboard.begin(); // initialize control over the keyboard
  Keyboard.releaseAll();

  pinMode( 12 , INPUT);   // sets the digital pin as input
  pinMode( 8 , INPUT);   // sets the digital pin as input

}

void loop(){  // put your main code here, to run repeatedly:
  if (digitalRead( 4 )) {
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "Mood light on" ); // Print a message to the LCD.
    analogWrite(5 , ( analogRead( A0 ) / 4 ));  /Changes the Blue section of LED
    analogWrite(6 , ( analogRead( A1 ) / 4 ));  //Changes the Green section of LED
    analogWrite(9 , ( analogRead( A2 ) / 4 ));  // Changes the Red section of LED
   //analogWrite values from 0 to 255 
  }
  else  {
    lcd_I2C_27.clear();
  }
  if (digitalRead( 7 )) {
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "OPENIGN DOCS" ); // Print a message to the LCD.

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(128); //the key to press CTRL
    }
    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press('t'); //the key to press (ASCII code)
    }
    Keyboard.releaseAll();
    delay( 500 ); // waits a few milliseconds 

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.print("https://docs.google.com/document/u/0/?tgif=d"); //Send the message
    }
    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(176); //the key to press ENTER
    }
    Keyboard.releaseAll();
    delay( 500 ); // delay the keys to prevent pressing too fast
  }
  else  {
    lcd_I2C_27.clear();
  }
  if (digitalRead( 12 )) {
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "RENDERING" ); // Print a message to the LCD.

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(128); //the key to press CTRL
    }
    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press('m'); //the key to press (ASCII code)
    }
    Keyboard.releaseAll();
    delay( 500 ); //delay the keys to prevent pressing too fast

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(176); //the key to press ENTER
    }
    Keyboard.releaseAll();
    delay( 500 ); // waits a few milliseconds 
  }
  if (digitalRead( 8 )) {
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "SAVING..." ); // Print a message to the LCD.

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(128); //the key to press CTRL
    }
    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(129); //the key to press SHIFT
    }
    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press('s'); //the key to press (ASCII code)
    }
    Keyboard.releaseAll();
    delay( 500 ); //delay the keys to prevent pressing too fast

    pinMode(4,INPUT_PULLUP); //make pin 4 an input and turn on the pullup resistor so it goes high unless connected to ground
    if(digitalRead(4)==LOW){  // do nothing until pin 4 goes low
      Keyboard.press(176); //the key to press ENTER
    }
    Keyboard.releaseAll();
    delay( 500 ); // delay the keys to prevent pressing too fast
  }
}
